import request from '@/utils/request'

// 查询资金审批申请列表
export function listCashExpense(query) {
  return request({
    url: '/yinnong/cashExpense/list',
    method: 'get',
    params: query
  })
}

// 统计查询资金审批申请列表
export function statisticCashExpense(query) {
  return request({
    url: '/yinnong/cashExpense/statistic',
    method: 'get',
    params: query
  })
}

// 导出资金审批申请
export function exportCashExpense(query) {
  return request({
    url: '/yinnong/cashExpense/export',
    method: 'get',
    params: query
  })
}

// 查询资金审批申请详细
export function getCashExpense(id) {
  return request({
    url: '/yinnong/cashExpense/get/' + id,
    method: 'get',
    params: arguments[1] || {}
  })
}

// 新增资金审批申请
export function addCashExpense(data) {
  return request({
    url: '/yinnong/cashExpense/add',
    method: 'post',
    data: data
  })
}

// 修改资金审批申请
export function updateCashExpense(data) {
  return request({
    url: '/yinnong/cashExpense/edit',
    method: 'post',
    data: data
  })
}

// 删除资金审批申请
export function delCashExpense(id) {
  return request({
    url: '/yinnong/cashExpense/remove/' + id,
    method: 'get'
  })
}

// 资金申请审批
export function applyCashExpense(id) {
  return request({
    url: '/yinnong/cashExpense/submitApply/' + id,
    method: 'get'
  });
}

// 撤销资金申请审批
export function revokeCashExpense(id) {
  return request({
    url: '/yinnong/cashExpense/revokeApply/' + id,
    method: 'get'
  });
}

