import request from '@/utils/request'

// 查询其他公开列表
export function listOther(query) {
  return request({
    url: '/subcontract/other/list',
    method: 'get',
    params: query
  })
}

// 查询其他公开详细
export function getOther(id) {
  return request({
    url: '/subcontract/other/get/' + id,
    method: 'get'
  })
}

// 新增其他公开
export function addOther(data) {
  return request({
    url: '/subcontract/other/add',
    method: 'post',
    data: data
  })
}

// 修改其他公开
export function updateOther(data) {
  return request({
    url: '/subcontract/other/edit',
    method: 'post',
    data: data
  })
}

// 删除其他公开
export function delOther(id) {
  return request({
    url: '/subcontract/other/remove/' + id,
    method: 'get'
  })
}

// 查询其他公开列表 游客
export function otherOpenList(query) {
  return request({
    url: '/open/villageAffairs/public/otherPublicList',
    method: 'get',
    params: query
  })
}

// 查询其他公开详细 游客
export function otherOpenDetail(id) {
  return request({
    url: '/open/villageAffairs/public/otherPublicDetail',
    method: 'get',
    params: {
      id,
    },
  })
}

