import request from '@/utils/request'

// 查询零工事项列表
export function listRegistration(query) {
  return request({
    url: '/subcontract/registration/list',
    method: 'get',
    params: query
  })
}

// 查询零工事项详细
export function getRegistration(id) {
  return request({
    url: '/subcontract/registration/get/' + id,
    method: 'get',
    params: arguments[1] || {}
  })
}

// 新增零工事项
export function addRegistration(data) {
  return request({
    url: '/subcontract/registration/add',
    method: 'post',
    data: data
  })
}

// 修改零工事项
export function updateRegistration(data) {
  return request({
    url: '/subcontract/registration/edit',
    method: 'post',
    data: data
  })
}

// 删除零工事项
export function delRegistration(id) {
  return request({
    url: '/subcontract/registration/remove/' + id,
    method: 'get'
  })
}

