import request from '@/utils/request'

// 查询三清台账列表
export function listThree(query) {
  return request({
    url: '/asset/three/list',
    method: 'get',
    params: query
  })
}

// 统计查询三清台账列表
export function statisticThree(query) {
  return request({
    url: '/asset/three/statistic',
    method: 'get',
    params: query
  })
}

// 导出三清台账
export function exportThree(query) {
  return request({
    url: '/asset/three/export',
    method: 'get',
    params: query
  })
}

// 查询三清台账详细
export function getThree(id) {
  return request({
    url: '/asset/three/get/' + id,
    method: 'get',
    params: arguments[1] || {}
  })
}

// 新增三清台账
export function addThree(data) {
  return request({
    url: '/asset/three/add',
    method: 'post',
    data: data
  })
}

// 修改三清台账
export function updateThree(data) {
  return request({
    url: '/asset/three/edit',
    method: 'post',
    data: data
  })
}

// 删除三清台账
export function delThree(id) {
  return request({
    url: '/asset/three/remove/' + id,
    method: 'get'
  })
}

// 清空空间字段
export function clearThreeGeom(id) {
  return request({
    url: '/asset/three/clear/' + id,
    method: 'get',
  })
}
//上传全局方法附件
export function commonAttach(data) {
  return request({
    url: '/common/attach',
    method: 'post',
    header: { "Content-Type": 'application/x-www-form-urlencoded' },
    data: data
  })
}
//查询已上传附件
export const attachmentList = (data) => {
  return request({
    url: '/system/attachment/query',
    method: 'get',
    params: data
  })
}
//删除已上传附件
export function systemAttachment(ids) {
  if (ids != undefined) {
    return request({
      url: '/system/attachment/remove/' + ids,
      method: 'get'
    })
  }
}

